Create Network Extension

Create Network Extension
Extend a network

Creates a single network extension between source and destination sites.

Request
URI
POST
https://{server}/hybridity/api/networkExtensions
COPY
Request Body

Request body for extend network request

NetworkExtensionRequest of type(s) application/json
Required
{
    "stretchId": "string",
    "vcGuid": "string",
    "gateway": "string",
    "netmask": "string",
    "source": {
        "endpointId": "string",
        "endpointType": "string",
        "endpointName": "string",
        "resourceId": "string",
        "resourceType": "string",
        "resourceName": "string"
    },
    "destination": {
        "endpointId": "string",
        "endpointType": "string",
        "endpointName": "string",
        "resourceId": "string",
        "resourceType": "string",
        "resourceName": "string"
    },
    "sourceNetwork": {
        "networkId": "string",
        "networkType": "string",
        "networkName": "string",
        "gatewayId": "string",
        "gatewayName": "string",
        "layer2Id": "string",
        "isDistributedRouter": false,
        "trunkMode": false,
        "isNsxT": false
    },
    "destinationNetwork": {
        "networkId": "string",
        "networkType": "string",
        "networkName": "string",
        "gatewayId": "string",
        "gatewayName": "string",
        "layer2Id": "string",
        "isDistributedRouter": false,
        "trunkMode": false,
        "isNsxT": false
    },
    "sourceAppliance": {
        "applianceId": "string",
        "applianceName": "string",
        "applianceType": "string"
    },
    "features": {
        "proximityRouting": false,
        "egressOptimization": false,
        "mobilityOptimizedNetworking": false
    },
    "dns": [
        "string"
    ],
    "haGroupId": "string",
    "allowOverlappingVLAN": false
}
string
stretchId
Optional

stretchId

string
vcGuid
Optional

vcGuid

string
gateway
Optional

gateway

string
netmask
Optional

netmask

object
source
Optional

source

object
destination
Optional

destination

object
sourceNetwork
Optional

sourceNetwork

object
destinationNetwork
Optional

destinationNetwork

object
sourceAppliance
Optional

sourceAppliance

object
features
Optional

features

array of string
dns
Optional

dns

string
haGroupId
Optional

haGroupId

boolean
allowOverlappingVLAN
Optional

allowOverlappingVLAN

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns PostSuccessResponse of type(s) application/json
{
    "data": {
        "stretchId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Returns NEBadRequest of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns NEInternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/networkExtensions